#version 330 core

layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec2 vertexUV;
layout(location = 2) in vec2 vertexNormal;

out vec2 UV;

uniform mat4 MVP;

void main()
{
	vec4 pos = MVP * vec4(vertexPosition_modelspace, 1);
	gl_Position = pos;
	UV = vertexUV;
}
